- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# sub_normalize.hxx File Reference

Sub-normalization algorithm for FMP transducers. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<class S, class T>
Element< S, T > | sub_normalize (const Element< S, T > &a)
| Sub-normalize a FMP transducer.
template<class S, class T>
void | sub_normalize_here (Element< S, T > &a)
| Sub-normalize a FMP transducer, in place version.
template<class S, class T>
bool | is_sub_normalized (const Element< S, T > &a)
| Check if a FMP transducer is sub-normalized.

## Detailed Description

Sub-normalization algorithm for FMP transducers.

Author:
  Louis-Noel Pouchet <louis-noel.pouchet@lrde.epita.fr>

Definition in file sub_normalize.hxx.